> ## Documentation Index
> Fetch the complete documentation index at: https://api.monument.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get unit group details

> Retrieves detailed information about a specific unit group, including services available



## OpenAPI

````yaml /openapi/shopping-openapi.json get /shopping/{portfolio}/v1/unitGroups/{unitGroupUuid}
openapi: 3.0.0
info:
  title: Monument Shopping API
  description: Monument Shopping API
  version: '1.0'
  contact: {}
servers:
  - url: https://public-api.prd.monument.io
    description: Production
  - url: https://public-api.stg.monument.io
    description: Staging
security: []
tags:
  - name: Facilities
    description: Facility listing, details, and configuration
  - name: Leads
    description: Lead creation, updates, status, and pre-existing tenant validation
  - name: Shopping Cart
    description: Cart operations and access plans
  - name: Unit Groups
    description: Unit group details and taxes
  - name: Units
    description: Unit and gate access code retrieval
  - name: Payments
    description: Payment profiles and processor information
  - name: Brands
    description: Branding configuration and brand-scoped facilities
  - name: Coverages
    description: Coverage options and private coverage info
  - name: Leases
    description: Lease signing redirects
  - name: Organizations
    description: Portfolio organization information
  - name: Lead Marketing Sources
    description: Marketing source listing
paths:
  /shopping/{portfolio}/v1/unitGroups/{unitGroupUuid}:
    get:
      tags:
        - Unit Groups
      summary: Get unit group details
      description: >-
        Retrieves detailed information about a specific unit group, including
        services available
      operationId: PublicApiUnitGroupsController_getUnitGroupByUuid
      parameters:
        - name: unitGroupUuid
          required: true
          in: path
          schema:
            type: string
        - name: isForBusiness
          required: true
          in: query
          schema:
            type: boolean
        - in: header
          required: true
          name: x-api-key
          schema:
            example: monument-2230012-2312321
            description: >-
              Api key required to authenticate your request. Please reach out to
              monument for a key.
        - in: path
          required: true
          name: portfolio
          schema:
            example: abc_selfstorage
      responses:
        '200':
          description: >-
            The additional services which can be provided to a lead renting from
            this unit group
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnitGroupSingleDto'
components:
  schemas:
    UnitGroupSingleDto:
      type: object
      properties:
        unitGroupUuid:
          type: string
          format: uuid
        unitGroupDepth:
          type: number
        unitGroupWidth:
          type: number
        unitGroupHeight:
          type: number
          nullable: true
        amenities:
          type: array
          items:
            $ref: '#/components/schemas/Amenity'
        types:
          $ref: '#/components/schemas/Type'
        availableUnitCount:
          type: number
        unitCount:
          type: number
        description:
          type: string
        facilityName:
          type: string
        facilityAddress:
          type: string
        currentStreetRate:
          type: number
        currentWebRate:
          type: number
        unitType:
          type: string
        bestAutoAppliedPromotion:
          nullable: true
          description: Best auto-applied promotion for the facility
          allOf:
            - $ref: '#/components/schemas/EligibleAutoAppliedPromotionDto'
        unitTypeImage:
          type: string
          nullable: true
        additionalServices:
          $ref: '#/components/schemas/ServicesDto'
      required:
        - unitGroupUuid
        - unitGroupDepth
        - unitGroupWidth
        - unitGroupHeight
        - amenities
        - types
        - availableUnitCount
        - unitCount
        - description
        - facilityName
        - facilityAddress
        - additionalServices
    Amenity:
      type: object
      properties:
        key:
          type: string
        present:
          type: boolean
      required:
        - key
        - present
    Type:
      type: object
      properties:
        vehicleRv:
          type: boolean
        selfStorage:
          type: boolean
      required:
        - vehicleRv
        - selfStorage
    EligibleAutoAppliedPromotionDto:
      type: object
      properties:
        facilityUuid:
          type: string
          format: uuid
        unitGroupUuid:
          type: string
          format: uuid
        promotionUuid:
          type: string
          format: uuid
        promotionName:
          type: string
        highestDiscountAmount:
          type: number
      required:
        - facilityUuid
        - unitGroupUuid
        - promotionUuid
        - promotionName
        - highestDiscountAmount
    ServicesDto:
      type: object
      properties:
        itemUuid:
          type: string
          format: uuid
        entityAttributeOrganizationUuid:
          type: string
          nullable: true
          format: uuid
        itemTypeUuid:
          type: string
          format: uuid
        title:
          type: string
        description:
          type: string
          nullable: true
        priceInPennies:
          type: number
        feePercentage:
          type: number
          nullable: true
        isRecurring:
          type: boolean
          default: false
        isRequiredAtMoveIn:
          type: boolean
          default: false
        feeType:
          type: string
          nullable: true
          enum:
            - PERCENTAGE
            - FIXED_AMOUNT
            - UNIT_RENT
            - INSURANCE_PREMIUM
            - AUCTION
            - CONDITIONAL
      required:
        - itemUuid
        - itemTypeUuid
        - title
        - priceInPennies
        - isRecurring
        - isRequiredAtMoveIn

````